/*
 * This file was generated by the Gradle 'init' task.
 */

plugins {
    `java-library`
    `maven-publish`
}

repositories {
    mavenLocal()
    maven {
        url = uri("https://repo.maven.apache.org/maven2/")
        credentials {
            username = System.getenv("REPO_USERNAME")
            password = System.getenv("REPO_PASSWORD")
        }
    }
}

develocity {
    buildScan {
        tag(System.getenv("EF_SHORT_NAME"))
        tag("GitLab CI")
        tag("Gradle")
        link("VCS", "${System.getenv("CI_PROJECT_URL")}/-/tree/${System.getenv("CI_COMMIT_REF_NAME")}?ref_type=heads")
        value("Build Number", "${System.getenv("CI_PIPELINE_ID")}")
        obfuscation {
            username { _ -> "eclipse-" + System.getenv("EF_SHORT_NAME") + "-bot" }
            // hostname { _ -> "" }
            ipAddresses { addresses -> addresses.map { _ -> "0.0.0.0" } }
        }
    }
}

dependencies {
    testImplementation(libs.junit.junit)
}

group = "org.eclipse.cbi.grac"
version = "1.0.0-SNAPSHOT"
description = "gitlab-ci-templates-gradle-example"
java.sourceCompatibility = JavaVersion.VERSION_1_8

publishing {
    publications.create<MavenPublication>("maven") {
        from(components["java"])
    }
}
